Subject: Re: bug#58489: 29.0.50; commit 74c07733698b95eb455edcafab8634a700a3194f breaks GTK version for some Ubuntu distributions

From: Po Lu <[email-masked]>
Date: Fri, 14 Oct 2022 10:05:45 +0800

Uwe Brauer <[email-masked]> writes:

> Hi 
>
> I encountered a problem when I compiled the latest master (Using Ubuntu
> 16.04 and the corresponding GTK version)
>
>
> I attach a screenshot 
> The config options are 
> auto-apt run ./configure --prefix=/opt/emacs29  --without-pop --with-mailutils
>
>
>
> I bisected the problem and found out that the culprit is 
>  commit 74c07733698b95eb455edcafab8634a700a3194f
>   Author: Po Lu <[email-masked]>
>   Date: Thu, 17 Feb 2022 10:28:02 +0800
>   * src/emacsgtkfixed.c (XSetWMSizeHints): Improve fix for bug#8919.
>
>
> Regards
>
> Uwe Brauer 

Thanks.  What happens if you set frame-resize-pixelwise to t in
early-init.el?